Difference between revisions of "Document structure/de"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with 'left Ein FreeCAD Dokument enthällt alle Objekte Ihrer Scene. Es kann Gruppen enthalten und Objekte die Sie mit Werkbänken erstellt haben. Dahe…')
 
(Updating to match new version of source page)
 
(72 intermediate revisions by 9 users not shown)
Line 1: Line 1:
[[Image:Screenshot treeview.jpg|left]]
+
<languages/>
Ein FreeCAD Dokument enthällt alle Objekte Ihrer Scene. Es kann Gruppen enthalten und Objekte die Sie mit Werkbänken erstellt haben. Daher können Sie zwischen Werkbänken wechseln und immer noch im selben Dokument arbeiten. Es ist das Dokument das gespeichert wird, wenn Sie Ihre Arbeit auf Datenträger speichern. Sie können sowohl mehrere Dokumente gleichzeitg in FreeCAD öffnen, als auch mehrere Ansichten im selben Dokument.
+
 
 +
<div class="mw-translate-fuzzy">
 +
{{Docnav/de
 +
|[[Navigation Cube/de|Navigationskubus]]
 +
|[[Preferences Editor/de|Programmeinstellungen]]
 +
}}
 +
</div>
  
--------
+
{{TOCright}}
  [[File:Baustelle.gif]] NOCH in Bearbeitung !!
 
  
.
+
[[Image:Screenshot treeview.jpg|left]]
--------
+
Ein FreeCAD Dokument enthällt alle Objekte Ihrer Arbeitsumgebung. Es kann Gruppen und Objekte enthalten, die Sie mit den Arbeitsbereichen erstellt haben. Daher können Sie zwischen Arbeitsbereichen wechseln und immer noch im selben Dokument arbeiten. Es ist das Dokument, das gespeichert wird, wenn Sie Ihre Arbeit auf Datenträger speichern. Sie können sowohl mehrere Dokumente gleichzeitg in FreeCAD öffnen, als auch mehrere Ansichten im selben Dokument.
  
Inside the document, the objects can be moved into and groups, and have a unique name. Managing groups, objects and object names is done mainly from the Tree view. It can also be done, of course, like everything in FreeCAD, from the python interpretor. In the Tree view, you can create groups, move objects to groups, delete objects or groups, by right-clicking in the tree view or on an object, rename objects by double-clicking on their names, or possibly other operations, depending on the current workbench.
+
Innerhalb des Dokuments können die Objekte in Gruppen geschoben werden und haben einen eindeutigen Namen. Das Verwalten von Gruppen, Objekten und Objektnamen wird vor allem in der [[Tree view/de|Baumansicht]] erledigt. '''Hinweis:''' Es kann natürlich auch, wie alles in FreeCAD, über den [[Python/de|Python]]-Interpreter geschehen. In der [[Tree view/de|Baumansicht]] können durch einen Rechtsklick in der [[Tree view/de|Baumansicht]] [[Image:Std_Group.svg|16px]] [[Std Group/de|Gruppen]] erstellt, Objekte in Gruppen eingefügt, Objekte oder Gruppen gelöscht, oder bei einem Objekt durch einen Doppelklick auf dessen Namen, dieses umbenannt oder eventuell andere Operationen durchgeführt werden, abhängig vom aktiven Arbeitsbereich.
  
The objects inside a FreeCAD document can be of different types. Each workbench can create its own types of objects, for example the [[Mesh Workbench]] creates mesh objects, the [[Part Workbench]] create Part objects, the [[Draft Workbench]] also creates Part objects, etc.
+
Die Objekte innerhalb eines FreeCAD Dokuments können unterschiedlichen Typs sein.  
 +
Jeder Arbeitsbereich kann seinen eigenen Typ von Objekten erstellen, zum Beispiel schafft der [[Image:Workbench_Mesh.svg|16px]][[Mesh Workbench/de|Netz Arbeitsbereich]] Polygonnetzobjekte, der [[Image:Workbench_Part.svg|16px]][[Part Workbench/de|Part Arbeitsbereich]] erstellt Teil Objekte, der [[Image:Workbench_Draft.svg|16px]][[Draft Workbench/de|Entwurf Arbeitsbereich]] erstellt auch Teil Objekte, usw.
  
If there is at least one document open in FreeCAD, there is always one and only one active document. That's the document that appears in the current 3D view, the document you are currently working on.
+
Wenn mindestens ein Dokument in FreeCAD geöffnet ist, gibt es immer '''ein''' und '''nur ein''' aktives Dokument. Das ist das Dokument, das in der aktuellen 3D-Ansicht angezeigt wird, das Dokument, an welchem Sie derzeit arbeiten.
  
==Application and User Interface==
+
==Anwendungs- und Benutzeroberfläche==
  
Like almost everything else in FreeCAD, the user interface part (Gui) is separated from the base application part (App). This is also valid for documents. The documents are also made of two parts: the Application document, which contains our objects, and the View document, which contains the representation on screen of our objects.  
+
Wie fast alles andere in FreeCAD ist der Teil der grafischen Benutzeroberfläche (GUI) vom Teil der Basisanwendung (App) getrennt. Dies gilt auch für Dokumente. Die Dokumente bestehen ebenfalls aus zwei Teilen: dem Anwendungsdokument, das unsere Objekte enthält, und dem Ansichtsdokument, das die Darstellung unserer Objekte auf dem Bildschirm enthält.  
  
Think of it as two spaces, where the objects are defined. Their constructive parameters (is it a cube? a cone? which size?) are stored in the Application document, while their graphical representation (is it drawn with black lines? with blue faces?) are stored in the View document. Why is that? Because FreeCAD can also be used WITHOUT graphical interface, for example inside other programs, and we must still be able to manipulate our objects, even if nothing is drawn on the screen.
+
Stelle es dir als zwei Räume vor, in denen die Objekte definiert werden. Ihre konstruktiven Parameter (ist es ein Würfel? ein Kegel? welche Grösse?) werden im Anwendungsdokument gespeichert, während ihre graphische Darstellung (wird sie mit schwarzen Linien gezeichnet? mit blauen Flächen?) im View Dokument gespeichert wird. Warum ist das so? Weil FreeCAD auch mit {{emphasis|ohne}} graphischer Oberfläche z.B. in anderen Programmen verwendet werden kann, und wir müssen unsere Objekte immer noch verändern können, auch wenn nichts auf dem Bildschirm gezeichnet wird.
  
Another thing that is contained inside the View document are 3D views. One document can have several views opened, so you can inspect your document from several points of view at the same time. Maybe you would want to see a top view and a front view of your work at the same time? Then, you will have two views of the same document, both stored in the View document. Create new views or close views can be done from the View menu or by right-clicking on a view tab.
+
Eine andere Sache, die innerhalb des Ansichtsdokuments enthalten ist, sind 3D Ansichten. In einem Dokument können mehrere Ansichten geöffnet sein, so dass Sie Ihr Dokument aus mehreren Blickwinkeln gleichzeitig betrachten können. Vielleicht möchten Sie eine Draufsicht und eine Frontansicht Ihre Arbeit gleichzeitig sehen? Dann haben Sie zwei Ansichten des gleichen Dokuments, beide in nur einem Ansichts-Dokument gespeichert. Das Erstellen neuer Ansichten oder das Schließen von Ansichten kann über das Menü Ansicht oder durch Rechtsklicken auf einen Ansichtsreiter erfolgen.
  
==Scripting==
+
==Skripten==
  
Documents can be easily created, accessed and modified from the python interpreter. For example:
+
Dokumente können mit dem [[Python/de|Python]] Interpreter einfach erstellt, aufgerufen und geändert werden. Zum Beispiel:
FreeCAD.ActiveDocument
+
{{Code|code=
Will return the current (active) document
+
FreeCAD.ActiveDocument
FreeCAD.ActiveDocument.Blob
+
}}
Would access an object called "Blob" inside your document
+
Gibt das aktuelle (aktive) Dokument zurück
FreeCADGui.ActiveDocument
+
{{Code|code=
Will return the view document associated to the current document
+
FreeCAD.ActiveDocument.Blob
FreeCADGui.ActiveDocument.Blob
+
}}
Would access the graphical representation (view) part of our Blob object
+
Greift auf das Objekt namens "Blob" innerhalb Ihres Dokuments zu
FreeCADGui.ActiveDocument.ActiveView
+
{{Code|code=
Will return the current view
+
FreeCADGui.ActiveDocument
 +
}}
 +
Geht zurück zum Ansichts-Dokument, das mit dem aktuellen Dokument verbunden ist.
 +
{{Code|code=
 +
FreeCADGui.ActiveDocument.Blob
 +
}}
 +
Greift zu auf den grafischen Darstellungsteil(view) Ihres Blob-Objekts
 +
{{Code|code=
 +
FreeCADGui.ActiveDocument.ActiveView
 +
}}
 +
Gibt die aktuelle Ansicht zurück
  
{{docnav/de|Navigieren im 3D-Raum|Preferences Editor/de}}
 
  
{{languages | {{en|Document structure}} {{es|Document structure/es}} {{fr|Document structure/fr}} {{pl|Document structure/pl}} {{se|Document structure/se}} {{ru|Document structure/ru}} }}
+
<div class="mw-translate-fuzzy">
 +
{{Docnav/de
 +
|[[Navigation Cube/de|Navigationskubus]]
 +
|[[Preferences Editor/de|Programmeinstellungen]]
 +
}}
 +
</div>
  
[[Category:User Documentation]]
+
{{Userdocnavi{{#translation:}}}}

Latest revision as of 15:51, 30 December 2020

Other languages:
Bahasa Indonesia • ‎Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎hrvatski • ‎italiano • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎български • ‎русский • ‎українська • ‎中文 • ‎中文(中国大陆)‎ • ‎한국어
Screenshot treeview.jpg

Ein FreeCAD Dokument enthällt alle Objekte Ihrer Arbeitsumgebung. Es kann Gruppen und Objekte enthalten, die Sie mit den Arbeitsbereichen erstellt haben. Daher können Sie zwischen Arbeitsbereichen wechseln und immer noch im selben Dokument arbeiten. Es ist das Dokument, das gespeichert wird, wenn Sie Ihre Arbeit auf Datenträger speichern. Sie können sowohl mehrere Dokumente gleichzeitg in FreeCAD öffnen, als auch mehrere Ansichten im selben Dokument.

Innerhalb des Dokuments können die Objekte in Gruppen geschoben werden und haben einen eindeutigen Namen. Das Verwalten von Gruppen, Objekten und Objektnamen wird vor allem in der Baumansicht erledigt. Hinweis: Es kann natürlich auch, wie alles in FreeCAD, über den Python-Interpreter geschehen. In der Baumansicht können durch einen Rechtsklick in der Baumansicht Std Group.svg Gruppen erstellt, Objekte in Gruppen eingefügt, Objekte oder Gruppen gelöscht, oder bei einem Objekt durch einen Doppelklick auf dessen Namen, dieses umbenannt oder eventuell andere Operationen durchgeführt werden, abhängig vom aktiven Arbeitsbereich.

Die Objekte innerhalb eines FreeCAD Dokuments können unterschiedlichen Typs sein. Jeder Arbeitsbereich kann seinen eigenen Typ von Objekten erstellen, zum Beispiel schafft der Workbench Mesh.svgNetz Arbeitsbereich Polygonnetzobjekte, der Workbench Part.svgPart Arbeitsbereich erstellt Teil Objekte, der Workbench Draft.svgEntwurf Arbeitsbereich erstellt auch Teil Objekte, usw.

Wenn mindestens ein Dokument in FreeCAD geöffnet ist, gibt es immer ein und nur ein aktives Dokument. Das ist das Dokument, das in der aktuellen 3D-Ansicht angezeigt wird, das Dokument, an welchem Sie derzeit arbeiten.

Anwendungs- und Benutzeroberfläche

Wie fast alles andere in FreeCAD ist der Teil der grafischen Benutzeroberfläche (GUI) vom Teil der Basisanwendung (App) getrennt. Dies gilt auch für Dokumente. Die Dokumente bestehen ebenfalls aus zwei Teilen: dem Anwendungsdokument, das unsere Objekte enthält, und dem Ansichtsdokument, das die Darstellung unserer Objekte auf dem Bildschirm enthält.

Stelle es dir als zwei Räume vor, in denen die Objekte definiert werden. Ihre konstruktiven Parameter (ist es ein Würfel? ein Kegel? welche Grösse?) werden im Anwendungsdokument gespeichert, während ihre graphische Darstellung (wird sie mit schwarzen Linien gezeichnet? mit blauen Flächen?) im View Dokument gespeichert wird. Warum ist das so? Weil FreeCAD auch mit ohne graphischer Oberfläche z.B. in anderen Programmen verwendet werden kann, und wir müssen unsere Objekte immer noch verändern können, auch wenn nichts auf dem Bildschirm gezeichnet wird.

Eine andere Sache, die innerhalb des Ansichtsdokuments enthalten ist, sind 3D Ansichten. In einem Dokument können mehrere Ansichten geöffnet sein, so dass Sie Ihr Dokument aus mehreren Blickwinkeln gleichzeitig betrachten können. Vielleicht möchten Sie eine Draufsicht und eine Frontansicht Ihre Arbeit gleichzeitig sehen? Dann haben Sie zwei Ansichten des gleichen Dokuments, beide in nur einem Ansichts-Dokument gespeichert. Das Erstellen neuer Ansichten oder das Schließen von Ansichten kann über das Menü Ansicht oder durch Rechtsklicken auf einen Ansichtsreiter erfolgen.

Skripten

Dokumente können mit dem Python Interpreter einfach erstellt, aufgerufen und geändert werden. Zum Beispiel:

FreeCAD.ActiveDocument

Gibt das aktuelle (aktive) Dokument zurück

FreeCAD.ActiveDocument.Blob

Greift auf das Objekt namens "Blob" innerhalb Ihres Dokuments zu

FreeCADGui.ActiveDocument

Geht zurück zum Ansichts-Dokument, das mit dem aktuellen Dokument verbunden ist.

FreeCADGui.ActiveDocument.Blob

Greift zu auf den grafischen Darstellungsteil(view) Ihres Blob-Objekts

FreeCADGui.ActiveDocument.ActiveView

Gibt die aktuelle Ansicht zurück